Subject: File processing is broken
Description

The file processing in FAL is currently deeply broken; a patch exists, this is just an umbrella task to group the tasks that report errors
in the processing.

Related issues:
related to Core - Bug # 42859: missing extension icons for lots of core exten... Resolved 2012-11-12
blocks Core - Bug # 40669: FAL files get reindexed in storage null when used ... Resolved 2012-09-06
blocks Core - Bug # 40033: Relation lost after renaming folder Resolved 2012-08-21
blocks Core - Bug # 39904: Unresized image not displayed in FE after move in ... Resolved 2012-08-17

Associated revisions
Revision 66c204f0 - 2012-11-20 23:08 - Andreas Wolf 

[TASK] Refactor FAL file processing

File processing is a central part of TYPO3's file usage, as e.g. all
images in content elements have to be resized when they don't fit the
requirements. However, the current implementation of file processing
with FAL has several drawbacks and shortcomings, not to mention quite a
few bugs.

This patch brings a completely reworked infrastructure behind the
File Processing Service, while keeping the external API unchanged.

The processing to be done is described in tasks, which are part of a
ProcessedFile's properties. The processing itself is now moved to
processors, which could execute the tasks using different utilities,
e.g. ImageMagick or some cloud image processing service. Currently,
there is only a local image processor implementation, which relies on
ImageMagick/GraphicsMagick (i.e. uses the same configuration as the old
processing).

The processed file class now also supports safe handling of unchanged
files, i.e. files that should have been processed, but didn't need
processing.

Fixes: #43059
Fixes: #39904
Fixes: #40033
Fixes: #40669
Releases: 6.0

Change-Id: I186a46f9923dacd98be655d72be2bd89b43866c2
Reviewed-on: http://review.typo3.org/14310
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-11-17 17:57 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 14 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#2 - 2012-11-20 10:01 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#3 - 2012-11-20 19:55 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#4 - 2012-11-20 20:42 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#5 - 2012-11-20 20:44 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#6 - 2012-11-20 21:30 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#7 - 2012-11-20 22:40 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310
#8 - 2012-11-20 23:02 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#9 - 2012-11-20 23:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:66c204f0bf3e83d302e6a5f9e367ebda267a015e.
